#!/usr/bin/env python
import minimalmodbus
import time

instrument = minimalmodbus.Instrument('/dev/ttyUSB0', 1, mode=minimalmodbus.MODE_RTU)
instrument.serial.parity = minimalmodbus.serial.PARITY_EVEN
instrument.serial.baudrate = 9600
instrument.serial.bytesize = 8

while True:

    try:
        val = instrument.read_register(0, 0, 3)
        print ('luminosity: ' + str(val))
    except IOError:
        print ('eroare IO')
    time.sleep(1)
