#include <ArduinoRS485.h>
#include <ArduinoModbus.h>

const int sensorPin = A0;
unsigned int holdingRegs[2];

void setup() 
{
  Serial.begin(9600);
  pinMode(sensorPin, INPUT);
  ModbusRTUServer.begin(1, 9600);
  ModbusRTUServer.configureHoldingRegisters(holdingRegs, 2);
}

void loop() 
{
  //holdingRegs[1] = 0;
  ModbusRTUServer.poll();
  int sensorValue;
  //Serial.print("Reading: ");
  sensorValue = analogRead(sensorPin);
  //Serial.println(sensorValue);
  ModbusRTUServer.holdingRegisterWrite(holdingRegs, sensorValue);
  delay(200);
}
